const baseURL = window.GLOBAL_CONFIG.uc

// 学校
export const school_list = (data = {}) => {
  return request({ baseURL, url: '/school/main/index', data })
}

// 地区
export const area_list = (data = {}) => {
  return request({ baseURL, url: '/area/main/index', data })
}

// 年级学科
export const base_list = (data = {}) => {
  return request({ baseURL, url: '/school/main/base_grade', data })
}

// 年级班级
export const grade_list = (data = {}) => {
  return request({ baseURL, url: '/class/main/grade_class', data })
}

// 部门
export const org_list = (data = {}) => {
  return request({ url: '/user/org/index', data })
}

export const org_tree_list = (data = {}) => {
  return request({ url: '/user/org/list_tree', data })
}

export const user_list = (data = {}) => {
  return request({ baseURL, url: '/user/main/index', data })
}

export const user_detail = (data = {}) => {
  return request({ baseURL, url: '/user/main/detail', data })
}

export const user_Edit = (data = {}) => {
  return request({ baseURL, url: '/user/main/edit', data })
}

// 工作经历
export const work_list = (data = {}) => {
  return request({ baseURL, url: '/user/working/index', data })
}

export const work_add = (data = {}) => {
  return request({ baseURL, url: '/user/working/add', data })
}

export const work_edit = (data = {}) => {
  return request({ baseURL, url: '/user/working/edit', data })
}

export const work_delete = (data = {}) => {
  return request({ baseURL, url: '/user/working/delete', data })
}

// 获奖荣誉
export const honor_list = (data = {}) => {
  return request({ baseURL, url: '/user/honor/index', data })
}

export const honor_add = (data = {}) => {
  return request({ baseURL, url: '/user/honor/add', data })
}

export const honor_delete = (data = {}) => {
  return request({ baseURL, url: '/user/honor/delete', data })
}

// 班级学科
export const class_add = (data = {}) => {
  return request({ baseURL, url: '/class/main/join_v2', data })
}

export const class_exit = (data = {}) => {
  return request({ baseURL, url: '/class/main/exit', data })
}

// 成员
export const org_member_add = (data = {}) => {
  return request({ url: '/user/org_member/add', data })
}

export const org_member_list = (data = {}) => {
  return request({ url: '/user/org_member/index', data })
}

export const org_member_delete = (data = {}) => {
  return request({ url: '/user/org_member/delete', data })
}
